import request from '@/utils/request'


export function voiceLogs(query) {
  return request({
    url: '/company/statistics/voiceLogs',
    method: 'get',
    params: query
  })
}
export function exportVoiceLogs(query) {
  return request({
    url: '/company/statistics/exportVoiceLogs',
    method: 'get',
    params: query
  })
}
export function smsLogs(query) {
  return request({
    url: '/company/statistics/smsLogs',
    method: 'get',
    params: query
  })
}

//store
export function storeOrder(query) {
  return request({
    url: '/company/statistics/storeOrder',
    method: 'get',
    params: query
  })
}

export function packageOrder(query) {
  return request({
    url: '/company/statistics/packageOrder',
    method: 'get',
    params: query
  })
}

export function afterSalesOrder(query) {
  return request({
    url: '/company/statistics/afterSalesOrder',
    method: 'get',
    params: query
  })
}
export function inquiryOrder(query) {
  return request({
    url: '/company/statistics/inquiryOrder',
    method: 'get',
    params: query
  })
}
// 获取互联网医院订单统计数据
export function getHisOrderCountStats(query) {
  return request({
    url: '/company/statistics/hisOrderCountStats',
    method: 'get',
    params: query
  });
}

// 获取App商城订单统计数据
export function getAppOrderCount(query) {
  return request({
    url: '/company/statistics/appOrderCountStats',
    method: 'get',
    params: query
  });
}

export function exportStoreOrder(query) {
  return request({
    url: '/company/statistics/exportStoreOrder',
    method: 'get',
    params: query
  })
}
export function exportPackageOrder(query) {
  return request({
    url: '/company/statistics/exportPackageOrder',
    method: 'get',
    params: query
  })
}

export function exportAfterSalesOrder(query) {
  return request({
    url: '/company/statistics/exportAfterSalesOrder',
    method: 'get',
    params: query
  })
}
export function exportInquiryOrder(query) {
  return request({
    url: '/company/statistics/exportInquiryOrder',
    method: 'get',
    params: query
  })
}
export function storePayment(query) {
  return request({
    url: '/company/statistics/storePayment',
    method: 'get',
    params: query
  })
}
export function exportStorePayment(query) {
  return request({
    url: '/company/statistics/exportStorePayment',
    method: 'get',
    params: query
  })
}

//crm
export function customer(query) {
  return request({
    url: '/company/statistics/customer',
    method: 'get',
    params: query
  })
}
export function exportCustomer(query) {
  return request({
    url: '/company/statistics/exportCustomer',
    method: 'get',
    params: query
  })
}


export function customerVisit(query) {
  return request({
    url: '/company/statistics/customerVisit',
    method: 'get',
    params: query
  })
}
export function exportCustomerVisit(query) {
  return request({
    url: '/company/statistics/exportCustomerVisit',
    method: 'get',
    params: query
  })
}

export function ipadStaticTotal(dateTime) {
  return request({
    url: '/company/statistics/ipadStaticTotal/' + dateTime,
    method: 'get'
  })
}
export function exportIpadStaticByTime(dateTime) {
  return request({
    url: '/company/statistics/exportIpadStaticByTime/' + dateTime,
    method: 'get'
  })
}
export function tokenStaticTotal(dateTime) {
  return request({
    url: '/company/statistics/tokenStaticTotal/' + dateTime,
    method: 'get'
  })
}
export function exportTokenStaticByTime(dateTime) {
  return request({
    url: '/company/statistics/exportTokenStaticByTime/' + dateTime,
    method: 'get'
  })
}

export function tuiMoney(query) {
  return request({
    url: '/company/statistics/tuiMoney',
    method: 'get',
    params: query
  })
}
export function exportTuiMoney(query) {
  return request({
    url: '/company/statistics/exportTuiMoney',
    method: 'get',
    params: query
  })
}
